Bug 856173 - Kernel panic on viewing large png
Kernel panic on viewing large png
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 07:36 EDT by Ralph Loader
Modified: 2013-08-01 09:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:47:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image that caused crash (1.98 MB, image/png)
2012-09-11 07:36 EDT, Ralph Loader
no flags Details
Photo of kernel panic screen (2.07 MB, image/jpeg)
2012-09-11 07:45 EDT, Ralph Loader
no flags Details

  None (edit)
Description Ralph Loader 2012-09-11 07:36:14 EDT
Created attachment 611736 [details]
Image that caused crash

I have a reproduceable kernel panic viewing a large image with /usr/bin/eog:

$ file swb.png 
swb.png: PNG image data, 7573 x 5919, 8-bit colormap, non-interlaced

The panic screen references ttm_* functions.  (Will attach photo of screen in a moment).

$ uname -a
Linux i.geek.nz 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug 29 18:46:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

From lspci:

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3300 Graphics (prog-if 00 [VGA controller])
	Subsystem: Giga-byte Technology Device d000
	Flags: bus master, fast devsel, latency 0, IRQ 18
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at ee00 [size=256]
	Memory at fdfe0000 (32-bit, non-prefetchable) [size=64K]
	Memory at fde00000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: radeon

Other package versions:

eog-3.4.3-2.fc17.x86_64
mesa-dri-drivers-8.0.3-3.fc17.i686
mesa-dri-drivers-8.0.3-3.fc17.x86_64
xorg-x11-server-Xorg-1.12.3-1.fc17.x86_64
Comment 1 Ralph Loader 2012-09-11 07:45:09 EDT
Created attachment 611739 [details]
Photo of kernel panic screen

If you look carefully bottom left, you'll see that tux appropriately fell flat on his face.
Comment 2 Ralph Loader 2012-09-11 21:00:42 EDT
Here's the function names from the panic:

RIP ttm_bo_mem_put

Call Trace:

ttm_bo_free_old_node
ttm_bo_move_ttm
ttm_bo_handle_move_mem
ttm_bo_move_buffer
? drm_mm_insert_helper
ttm_bo_validate
ttm_bo_init
radeon_bo_create
? radeon_bo_clear_va
radeon_gem_object_create_ioctl
? ttm_bo_unreserve_locked
radeon_gem_create_ioctl
? mutex_lock
drm_ioctl
? mmap_region
? radion_gem_pwrite_ioctl
? do_mmap_pgoff
? vm_mmap_pgoss
sys_ioctl
system_call_fastpath
Comment 3 Reartes Guillermo 2012-10-03 19:19:59 EDT
I could not reproduce it with my (different) hardware:

kernel: 3.5.4-2.fc17.x86_64
eog: eog-3.4.3-2.fc17.x86_64
mesa:  mesa-dri-drivers-8.0.4-1.fc17.x86_64
xorg-x11-drv-ati: 6.14.4-6.20120602git930760942.fc17

Using:
01:00.0 VGA compatible controller: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450]

@Ralph Loader

Add drm.debug=0x04 to the kernel command line, restart computer, and
attach:

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)
Comment 4 Fedora End Of Life 2013-07-04 00:30:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:47:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.